name: chennora_odoo

services:
  db:
    image: postgres:15
    environment:
      POSTGRES_DB: postgres
      POSTGRES_USER: odoo
      POSTGRES_PASSWORD: odoo
    volumes:
      - client2_pgdata:/var/lib/postgresql/data
    restart: always

  odoo:
    image: odoo:17.0
    depends_on:
      - db
    ports:
      - "10002:8069"
    environment:
      HOST: db
      USER: odoo
      PASSWORD: odoo
      LIST_DB: "True"
    volumes:
      - client2_odoo_data:/var/lib/odoo
      - ./addons:/mnt/extra-addons
    restart: always

volumes:
  client2_pgdata:
  client2_odoo_data: